# Changelog

## 2025-04-25 - 1.7.0 - feat(core)
Enhance commit fetching with caching, concurrency improvements, and dependency upgrades

- Updated development dependencies (@git.zone/tsbuild, @git.zone/tsbundle, @git.zone/tstest, @push.rocks/tapbundle, @types/node) and dependency versions
- Introduced optional caching options (enableCache, cacheWindowMs, enableNpmCheck) in the CodeFeed constructor to optimize commit retrieval
- Refactored commit fetching to use AsyncExecutionStack for controlled concurrency and improved performance
- Removed deprecated ts/codefeed.plugins.ts in favor of a consolidated plugins.ts module

## 2024-12-16 - 1.6.5 - fix(CodeFeed)
Fixed timestamp initialization and commit fetching timeframe

- Updated the lastRunTimestamp initialization default period from 24 hours to 7 days in CodeFeed constructor.
- Modified commit fetching logic to consider commits from the last 7 days instead of 24 hours in fetchRecentCommitsForRepo.

## 2024-12-14 - 1.6.4 - fix(core)
Refactor fetch logic to use a unified fetchFunction for API calls

- Consolidated API request logic in the CodeFeed class to use fetchFunction for improved maintainability.

## 2024-12-14 - 1.6.3 - fix(codefeed)
Refactor and fix formatting issues in the CodeFeed module

- Refactored various method format and spacing.
- Fixed error handling formatting for readability.
- Improved consistency in JSON handling for API responses.

## 2024-12-14 - 1.6.2 - fix(core)
Fix sorting order of tagged commits by timestamp

- Fixed the sorting order of commits to be by timestamp in descending order after filtering for tagged commits.

## 2024-12-14 - 1.6.1 - fix(docs)
Updated project metadata and expanded documentation for installation and usage.

- Updated description and keywords in package.json and npmextra.json.
- Significant expansion of the README.md with detailed installation, usage, and feature instructions.

## 2024-12-14 - 1.6.0 - feat(core)
Add changelog fetching and parsing functionality

- Implemented loadChangelogFromRepo to directly load the changelog from a Gitea repository.
- Introduced parsing functionality to extract specific version details from the loaded changelog.
- Updated CodeFeed class to utilize the changelog for version verification and commit processing.

## 2024-12-14 - 1.5.3 - fix(core)
Fix filtering logic for returning only tagged commits

- Ensure `allCommits` is filtered to only include commits with 'tagged' status before returning.

## 2024-12-14 - 1.5.2 - fix(core)
Ensure stability of core functionalities.


## 2024-12-14 - 1.5.1 - fix(core)
Refine logging format in CodeFeed class

- Modified console log format in fetchAllCommitsFromInstance method for better readability.

## 2024-12-14 - 1.5.0 - feat(core)
Refactor TypeScript interfaces and improve module exports

- Moved TypeScript interfaces to a dedicated file (ts/interfaces/index.ts).
- Updated import/export structure to improve code readability and maintainability.
- Enhanced the package.json to utilize a module exports field for better resolution.

## 2024-12-13 - 1.4.1 - fix(core)
Corrected log formatting for commit information output in CodeFeed

- Fixed formatting issue in commit log output within the CodeFeed class to ensure proper display of timestamps.

## 2024-12-13 - 1.4.0 - feat(CodeFeed)
Enhance commit results with human-readable time

- Integrated smarttime plugin to calculate and format timestamps into human-readable time.
- Updated dependencies in package.json to include smarttime and adjusted versions for existing packages.
- Improved fetchAllCommitsFromInstance method to display formatted time ago information for each commit.

## 2024-12-13 - 1.3.0 - feat(core)
Export CommitResult interface for external use.

- Changed CommitResult from a local interface to an exported interface, allowing for external usage and integration.

## 2024-12-13 - 1.2.1 - fix(core)
No changes detected


## 2024-12-13 - 1.2.0 - feat(core)
Add organization-level activity fetching and RSS parsing

- Integrated smartxml package for XML parsing.
- Implemented fetching of all organizations within a Gitea instance.
- Added functionality to check new activities in organization RSS feeds.
- Enhanced fetching logic to include repository commits and tags.

## 2024-12-13 - 1.1.0 - feat(core)
Add tracking of commits published on npm

- Introduced a check for published commits on npm using smartnpm.
- Enhanced fetchAllCommitsFromInstance to include 'publishedOnNpm' status in results.

## 2024-12-13 - 1.0.2 - fix(core)
Improve error handling in fetchRecentCommitsForRepo method

- Refined the console error message for better clarity.
- Updated the fetchRecentCommitsForRepo method to stop fetching when encountering a commit older than 24 hours.

## 2024-12-13 - 1.0.1 - initial release
Initial release of the project

