export interface IRepositoryOwner {
  login: string;
}

export interface IRepository {
  owner: IRepositoryOwner;
  name: string;
}

export interface ICommitAuthor {
  date: string;
}

export interface ICommitDetail {
  message: string;
  author: ICommitAuthor;
}

export interface ICommit {
  sha: string;
  commit: ICommitDetail;
}

export interface ITag {
  commit?: {
    sha?: string;
  };
}

export interface IRepoSearchResponse {
  data: IRepository[];
}

export interface ICommitResult {
  baseUrl: string;
  org: string;
  repo: string;
  timestamp: string;
  hash: string;
  commitMessage: string;
  tagged: boolean;
  publishedOnNpm: boolean;
  prettyAgoTime: string;
  changelog: string | undefined;
}
